//
//  AztecDemoNavigationController.swift
//  AztecDemoSwift
//
//  Created by PrimeSoft Polska on 11.04.2016.
//  Copyright © 2016 PrimeSoft Polska. All rights reserved.
//

import UIKit

class AztecDemoNavigationController: UINavigationController, UINavigationControllerDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        delegate = self
    }

    override func viewDidAppear(animated: Bool) {
        super.viewDidAppear(animated)
    
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    
    override func supportedInterfaceOrientations() -> UIInterfaceOrientationMask {
        if let orientation = self.viewControllers.last?.supportedInterfaceOrientations() {
            return orientation
        }
        
        return .All
    }
    
    func navigationController(navigationController: UINavigationController, willShowViewController viewController: UIViewController, animated: Bool) {
        
        if !(viewController.navigationItem.titleView is UIImageView) {
            let image = UIImage(named: "Logo")
            let imageView = UIImageView(frame: CGRect(x: 0, y: 0, width: 40, height: 197))
            imageView.image = image
            imageView.contentMode = .ScaleAspectFit
            
            viewController.navigationItem.titleView = imageView
        }
    }
}
